POST api/DoctorAvailabiltySlots

Creates a new doctor availabilty slots or updates an existent doctor availabilty slots' information.

Request Information

URI Parameters

None.

Body Parameters

Model used to retrieve or set information about a doctor availability slot.

DoctorAvailabilitySlotModel
NameDescriptionTypeAdditional information
Notes

The reason why a doctor is unavailable.

string

None.

LocationExternalId

Location's unique ID on integrating system (Required).

string

None.

DoctorExternalId

Doctor's unique ID on integrating system (Required).

string

None.

Available

Indicates whether the doctor is available or not.

boolean

None.

AppointmentRequestReasonId

Indicates whether the doctor has an appointment request reason or not..

globally unique identifier

None.

DoctorAvailabilityDates

List of doctor availability dates in doctor availability slot model.

Collection of DoctorAvailabilityDate

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "notes": "sample string 1",
  "locationExternalId": "sample string 2",
  "doctorExternalId": "sample string 3",
  "available": true,
  "appointmentRequestReasonId": "2ff046f8-aa0f-4f23-86a6-61f3db90df01",
  "doctorAvailabilityDates": [
    {
      "start": "2026-05-29T16:57:33.890682+00:00",
      "end": "2026-05-29T16:57:33.890682+00:00"
    },
    {
      "start": "2026-05-29T16:57:33.890682+00:00",
      "end": "2026-05-29T16:57:33.890682+00:00"
    }
  ],
  "id": "cab02cc8-2e85-4763-a348-efb248e32f1f",
  "externalId": "sample string 6"
}

application/xml, text/xml

Sample:
<DoctorAvailabilitySlotModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.DoctorAvailabilitySlots">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 6</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">cab02cc8-2e85-4763-a348-efb248e32f1f</Id>
  <AppointmentRequestReasonId>2ff046f8-aa0f-4f23-86a6-61f3db90df01</AppointmentRequestReasonId>
  <Available>true</Available>
  <DoctorAvailabilityDates>
    <DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
      <End>2026-05-29T16:57:33.890682+00:00</End>
      <Start>2026-05-29T16:57:33.890682+00:00</Start>
    </DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
    <DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
      <End>2026-05-29T16:57:33.890682+00:00</End>
      <Start>2026-05-29T16:57:33.890682+00:00</Start>
    </DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
  </DoctorAvailabilityDates>
  <DoctorExternalId>sample string 3</DoctorExternalId>
  <LocationExternalId>sample string 2</LocationExternalId>
  <Notes>sample string 1</Notes>
</DoctorAvailabilitySlotModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'DoctorAvailabilitySlotModel'.

Response Information

Resource Description

DoctorAvailabilitySlotModel
NameDescriptionTypeAdditional information
Notes

The reason why a doctor is unavailable.

string

None.

LocationExternalId

Location's unique ID on integrating system (Required).

string

None.

DoctorExternalId

Doctor's unique ID on integrating system (Required).

string

None.

Available

Indicates whether the doctor is available or not.

boolean

None.

AppointmentRequestReasonId

Indicates whether the doctor has an appointment request reason or not..

globally unique identifier

None.

DoctorAvailabilityDates

List of doctor availability dates in doctor availability slot model.

Collection of DoctorAvailabilityDate

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "notes": "sample string 1",
  "locationExternalId": "sample string 2",
  "doctorExternalId": "sample string 3",
  "available": true,
  "appointmentRequestReasonId": "921d1451-f60a-47da-8fbc-efe445af7194",
  "doctorAvailabilityDates": [
    {
      "start": "2026-05-29T16:57:33.8958496+00:00",
      "end": "2026-05-29T16:57:33.8958496+00:00"
    },
    {
      "start": "2026-05-29T16:57:33.8958496+00:00",
      "end": "2026-05-29T16:57:33.8958496+00:00"
    }
  ],
  "id": "cd89ca8d-687b-42d3-9cae-7e592f4ba4a6",
  "externalId": "sample string 6"
}

application/xml, text/xml

Sample:
<DoctorAvailabilitySlotModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.DoctorAvailabilitySlots">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 6</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">cd89ca8d-687b-42d3-9cae-7e592f4ba4a6</Id>
  <AppointmentRequestReasonId>921d1451-f60a-47da-8fbc-efe445af7194</AppointmentRequestReasonId>
  <Available>true</Available>
  <DoctorAvailabilityDates>
    <DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
      <End>2026-05-29T16:57:33.8958496+00:00</End>
      <Start>2026-05-29T16:57:33.8958496+00:00</Start>
    </DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
    <DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
      <End>2026-05-29T16:57:33.8958496+00:00</End>
      <Start>2026-05-29T16:57:33.8958496+00:00</Start>
    </DoctorAvailabilitySlotModel.DoctorAvailabilityDate>
  </DoctorAvailabilityDates>
  <DoctorExternalId>sample string 3</DoctorExternalId>
  <LocationExternalId>sample string 2</LocationExternalId>
  <Notes>sample string 1</Notes>
</DoctorAvailabilitySlotModel>